+ date
Wed Apr 19 14:37:55 UTC 2023
+ apt-get source --only-source plink2=2.00~a3-210203+dfsg-1
Reading package lists...
NOTICE: 'plink2' packaging is maintained in the 'Git' version control system at:
https://salsa.debian.org/med-team/plink2.git
Please use:
git clone https://salsa.debian.org/med-team/plink2.git
to retrieve the latest (possibly unreleased) updates to the package.
Need to get 932 kB of source archives.
Get:1 http://repo.pureos.net/pureos byzantium/main plink2 2.00~a3-210203+dfsg-1 (dsc) [2153 B]
Get:2 http://repo.pureos.net/pureos byzantium/main plink2 2.00~a3-210203+dfsg-1 (tar) [882 kB]
Get:3 http://repo.pureos.net/pureos byzantium/main plink2 2.00~a3-210203+dfsg-1 (diff) [48.0 kB]
dpkg-source: info: extracting plink2 in plink2-2.00~a3-210203+dfsg
dpkg-source: info: unpacking plink2_2.00~a3-210203+dfsg.orig.tar.xz
dpkg-source: info: unpacking plink2_2.00~a3-210203+dfsg-1.debian.tar.xz
dpkg-source: info: using patch list from debian/patches/series
dpkg-source: info: applying Fix_Makefile.patch
dpkg-source: info: applying use_packaged_libdeflate.patch
dpkg-source: info: applying baseline
Fetched 932 kB in 0s (3104 kB/s)
W: Download is performed unsandboxed as root as file 'plink2_2.00~a3-210203+dfsg-1.dsc' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)
+ env DEBIAN_FRONTEND=noninteractive apt-get build-dep -y --only-source plink2=2.00~a3-210203+dfsg-1
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
  help2man libatlas-base-dev libatlas3-base libdeflate-dev libsimde-dev
  libzstd-dev
0 upgraded, 6 newly installed, 0 to remove and 0 not upgraded.
Need to get 7313 kB of archives.
After this operation, 43.0 MB of additional disk space will be used.
Get:1 http://repo.pureos.net/pureos byzantium/main amd64 help2man amd64 1.48.1 [190 kB]
Get:2 http://repo.pureos.net/pureos byzantium/main amd64 libatlas3-base amd64 3.10.3-10 [3120 kB]
Get:3 http://repo.pureos.net/pureos byzantium/main amd64 libatlas-base-dev amd64 3.10.3-10 [3315 kB]
Get:4 http://repo.pureos.net/pureos byzantium/main amd64 libdeflate-dev amd64 1.7-1 [46.9 kB]
Get:5 http://repo.pureos.net/pureos byzantium/main amd64 libsimde-dev all 0.7.2-4 [259 kB]
Get:6 http://repo.pureos.net/pureos byzantium/main amd64 libzstd-dev amd64 1.4.8+dfsg-2.1 [382 kB]
Fetched 7313 kB in 1s (13.9 MB/s)
Selecting previously unselected package help2man.
(Reading database ... (Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database ... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%(Reading database ... 80%(Reading database ... 85%(Reading database ... 90%(Reading database ... 95%(Reading database ... 100%(Reading database ... 102989 files and directories currently installed.)
Preparing to unpack .../0-help2man_1.48.1_amd64.deb ...
Unpacking help2man (1.48.1) ...
Selecting previously unselected package libatlas3-base:amd64.
Preparing to unpack .../1-libatlas3-base_3.10.3-10_amd64.deb ...
Unpacking libatlas3-base:amd64 (3.10.3-10) ...
Selecting previously unselected package libatlas-base-dev:amd64.
Preparing to unpack .../2-libatlas-base-dev_3.10.3-10_amd64.deb ...
Unpacking libatlas-base-dev:amd64 (3.10.3-10) ...
Selecting previously unselected package libdeflate-dev:amd64.
Preparing to unpack .../3-libdeflate-dev_1.7-1_amd64.deb ...
Unpacking libdeflate-dev:amd64 (1.7-1) ...
Selecting previously unselected package libsimde-dev.
Preparing to unpack .../4-libsimde-dev_0.7.2-4_all.deb ...
Unpacking libsimde-dev (0.7.2-4) ...
Selecting previously unselected package libzstd-dev:amd64.
Preparing to unpack .../5-libzstd-dev_1.4.8+dfsg-2.1_amd64.deb ...
Unpacking libzstd-dev:amd64 (1.4.8+dfsg-2.1) ...
Setting up libsimde-dev (0.7.2-4) ...
Setting up libatlas3-base:amd64 (3.10.3-10) ...
update-alternatives: using /usr/lib/x86_64-linux-gnu/atlas/libblas.so.3 to provide /usr/lib/x86_64-linux-gnu/libblas.so.3 (libblas.so.3-x86_64-linux-gnu) in auto mode
update-alternatives: using /usr/lib/x86_64-linux-gnu/atlas/liblapack.so.3 to provide /usr/lib/x86_64-linux-gnu/liblapack.so.3 (liblapack.so.3-x86_64-linux-gnu) in auto mode
Setting up libzstd-dev:amd64 (1.4.8+dfsg-2.1) ...
Setting up libatlas-base-dev:amd64 (3.10.3-10) ...
update-alternatives: using /usr/lib/x86_64-linux-gnu/atlas/libblas.so to provide /usr/lib/x86_64-linux-gnu/libblas.so (libblas.so-x86_64-linux-gnu) in auto mode
update-alternatives: using /usr/lib/x86_64-linux-gnu/atlas/liblapack.so to provide /usr/lib/x86_64-linux-gnu/liblapack.so (liblapack.so-x86_64-linux-gnu) in auto mode
Setting up help2man (1.48.1) ...
Setting up libdeflate-dev:amd64 (1.7-1) ...
Processing triggers for man-db (2.9.4-2) ...
Processing triggers for libc-bin (2.31-13+deb11u5) ...
+ find . -maxdepth 1 -name plink2* -type d
+ cd ./plink2-2.00~a3-210203+dfsg
+ eatmydata env DEB_BUILD_OPTIONS=noautodbgsym dpkg-buildpackage --no-sign
dpkg-buildpackage: info: source package plink2
dpkg-buildpackage: info: source version 2.00~a3-210203+dfsg-1
dpkg-buildpackage: info: source distribution unstable
dpkg-buildpackage: info: source changed by Dylan Aïssi <daissi@debian.org>
 dpkg-source --before-build .
dpkg-buildpackage: info: host architecture amd64
 debian/rules clean
dh clean --sourcedirectory=build_dynamic/
   debian/rules override_dh_auto_clean
make[1]: Entering directory '/build/plink2/plink2-2.00~a3-210203+dfsg'
dh_auto_clean
	cd build_dynamic && make -j40 clean
make[2]: Entering directory '/build/plink2/plink2-2.00~a3-210203+dfsg/build_dynamic'
rm -f *.o
rm -f plink2
rm -f pgen_compress
make[2]: Leaving directory '/build/plink2/plink2-2.00~a3-210203+dfsg/build_dynamic'
rm -f plink2.1
rm -f pgen_compress.1
make[1]: Leaving directory '/build/plink2/plink2-2.00~a3-210203+dfsg'
   dh_autoreconf_clean -O--sourcedirectory=build_dynamic/
   dh_clean -O--sourcedirectory=build_dynamic/
 dpkg-source -b .
dpkg-source: info: using source format '3.0 (quilt)'
dpkg-source: info: building plink2 using existing ./plink2_2.00~a3-210203+dfsg.orig.tar.xz
dpkg-source: info: using patch list from debian/patches/series
dpkg-source: info: building plink2 in plink2_2.00~a3-210203+dfsg-1.debian.tar.xz
dpkg-source: info: building plink2 in plink2_2.00~a3-210203+dfsg-1.dsc
 debian/rules binary
dh binary --sourcedirectory=build_dynamic/
   dh_update_autotools_config -O--sourcedirectory=build_dynamic/
   dh_autoreconf -O--sourcedirectory=build_dynamic/
   dh_auto_configure -O--sourcedirectory=build_dynamic/
   debian/rules override_dh_auto_build-arch
make[1]: Entering directory '/build/plink2/plink2-2.00~a3-210203+dfsg'
mkdir -p /build/plink2/plink2-2.00~a3-210203+dfsg/debian/plink2/usr
mkdir -p /build/plink2/plink2-2.00~a3-210203+dfsg/debian/plink2/usr/lib/plink2
export CXXFLAGS="-g -O2 -ffile-prefix-map=/build/plink2/plink2-2.00~a3-210203+dfsg=. -fstack-protector-strong -Wformat -Werror=format-security -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -mavx2 -mbmi -mbmi2 -mlzcnt" && export CFLAGS="-g -O2 -ffile-prefix-map=/build/plink2/plink2-2.00~a3-210203+dfsg=. -fstack-protector-strong -Wformat -Werror=format-security -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -mavx2 -mbmi -mbmi2 -mlzcnt" && \
	make clean ; \
	dh_auto_build -- SFX=-avx2
make[2]: Entering directory '/build/plink2/plink2-2.00~a3-210203+dfsg'
rm -f *.o include/*.o zstd/lib/common/*.o zstd/lib/compress/*.o zstd/lib/decompress/*.o bin/plink2 bin/pgen_compress
make[2]: Leaving directory '/build/plink2/plink2-2.00~a3-210203+dfsg'
	cd build_dynamic && make -j40 "INSTALL=install --strip-program=true" SFX=-avx2
make[2]: Entering directory '/build/plink2/plink2-2.00~a3-210203+dfsg/build_dynamic'
cc -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/plink2/plink2-2.00~a3-210203+dfsg=. -fstack-protector-strong -Wformat -Werror=format-security -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -mavx2 -mbmi -mbmi2 -mlzcnt -O2 -std=gnu99 -DZSTD_MULTITHREAD   -Wall -Wextra -Wshadow -Wformat-security  ../include/SFMT.c -c
g++ -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/plink2/plink2-2.00~a3-210203+dfsg=. -fstack-protector-strong -Wformat -Werror=format-security -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -mavx2 -mbmi -mbmi2 -mlzcnt -std=c++11 -O2 -DZSTD_MULTITHREAD   -Wall -Wextra -Wshadow -Wformat-security -Wold-style-cast -I../simde -Wl,-z,relro -Wl,-z,now -ldeflate ../include/plink2_base.cc ../include/plink2_bits.cc ../include/pgenlib_misc.cc ../include/pgenlib_read.cc ../include/pgenlib_write.cc ../pgen_compress.cc -o pgen_compress-avx2
echo cc -O2 -std=gnu99 -DZSTD_MULTITHREAD   -Wall -Wextra -Wshadow -Wformat-security -I../zstd/lib -I../zstd/lib/common  -c
cc -O2 -std=gnu99 -DZSTD_MULTITHREAD -Wall -Wextra -Wshadow -Wformat-security -I../zstd/lib -I../zstd/lib/common -c
g++ -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/plink2/plink2-2.00~a3-210203+dfsg=. -fstack-protector-strong -Wformat -Werror=format-security -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -mavx2 -mbmi -mbmi2 -mlzcnt -std=c++11 -O2 -DZSTD_MULTITHREAD   -Wall -Wextra -Wshadow -Wformat-security -Wold-style-cast -I../simde ../include/plink2_base.cc ../include/plink2_bits.cc ../include/pgenlib_misc.cc ../include/pgenlib_read.cc ../include/pgenlib_write.cc ../include/plink2_bgzf.cc ../include/plink2_stats.cc ../include/plink2_string.cc ../include/plink2_text.cc ../include/plink2_thread.cc ../include/plink2_zstfile.cc ../plink2.cc ../plink2_adjust.cc ../plink2_cmdline.cc ../plink2_common.cc ../plink2_compress_stream.cc ../plink2_data.cc ../plink2_decompress.cc ../plink2_export.cc ../plink2_fasta.cc ../plink2_filter.cc ../plink2_glm.cc ../plink2_help.cc ../plink2_import.cc ../plink2_ld.cc ../plink2_matrix.cc ../plink2_matrix_calc.cc ../plink2_merge.cc ../plink2_misc.cc ../plink2_psam.cc ../plink2_pvar.cc ../plink2_random.cc ../plink2_set.cc -c
../plink2_psam.cc: In function 'plink2::PglErr plink2::LoadPhenos(const char*, const RangeList*, const uintptr_t*, const SampleIdInfo*, uint32_t, uint32_t, int32_t, uint32_t, uint32_t, uint32_t, uint32_t, plink2::PhenoCol**, char**, uint32_t*, uintptr_t*)':
../plink2_psam.cc:1254:105: warning: '*' in boolean context, suggest '&&' instead [-Wint-in-bool-context]
 1254 |       if (unlikely(S_CAST(uintptr_t, tmp_bigstack_end - bigstack_base_copy) < pheno_info_alloc_byte_ct) * (xid_idx_end - xid_idx_start)) {
g++  -Wdate-time -D_FORTIFY_SOURCE=2 ../plink2_cpu.cc -c
g++ SFMT.o plink2_base.o plink2_bits.o pgenlib_misc.o pgenlib_read.o pgenlib_write.o plink2_bgzf.o plink2_stats.o plink2_string.o plink2_text.o plink2_thread.o plink2_zstfile.o plink2.o plink2_adjust.o plink2_cmdline.o plink2_common.o plink2_compress_stream.o plink2_data.o plink2_decompress.o plink2_export.o plink2_fasta.o plink2_filter.o plink2_glm.o plink2_help.o plink2_import.o plink2_ld.o plink2_matrix.o plink2_matrix_calc.o plink2_merge.o plink2_misc.o plink2_psam.o plink2_pvar.o plink2_random.o plink2_set.o plink2_cpu.o  -o plink2-avx2 -llapack -lblas -lcblas -latlas -lm -lpthread  -lz -lzstd -Wl,-z,relro -Wl,-z,now -ldeflate
make[2]: Leaving directory '/build/plink2/plink2-2.00~a3-210203+dfsg/build_dynamic'
for SIMD in avx sse4.1 ssse3 sse3 sse2 ; do \
	export CXXFLAGS="-g -O2 -ffile-prefix-map=/build/plink2/plink2-2.00~a3-210203+dfsg=. -fstack-protector-strong -Wformat -Werror=format-security -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -m${SIMD}" && export CFLAGS="-g -O2 -ffile-prefix-map=/build/plink2/plink2-2.00~a3-210203+dfsg=. -fstack-protector-strong -Wformat -Werror=format-security -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -m${SIMD}" && \
	make clean ; \
	dh_auto_build -- SFX=-${SIMD} ; \
done
make[2]: Entering directory '/build/plink2/plink2-2.00~a3-210203+dfsg'
rm -f *.o include/*.o zstd/lib/common/*.o zstd/lib/compress/*.o zstd/lib/decompress/*.o bin/plink2 bin/pgen_compress
make[2]: Leaving directory '/build/plink2/plink2-2.00~a3-210203+dfsg'
	cd build_dynamic && make -j40 "INSTALL=install --strip-program=true" SFX=-avx
make[2]: Entering directory '/build/plink2/plink2-2.00~a3-210203+dfsg/build_dynamic'
cc -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/plink2/plink2-2.00~a3-210203+dfsg=. -fstack-protector-strong -Wformat -Werror=format-security -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -mavx -O2 -std=gnu99 -DZSTD_MULTITHREAD   -Wall -Wextra -Wshadow -Wformat-security  ../include/SFMT.c -c
g++ -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/plink2/plink2-2.00~a3-210203+dfsg=. -fstack-protector-strong -Wformat -Werror=format-security -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -mavx -std=c++11 -O2 -DZSTD_MULTITHREAD   -Wall -Wextra -Wshadow -Wformat-security -Wold-style-cast -I../simde -Wl,-z,relro -Wl,-z,now -ldeflate ../include/plink2_base.cc ../include/plink2_bits.cc ../include/pgenlib_misc.cc ../include/pgenlib_read.cc ../include/pgenlib_write.cc ../pgen_compress.cc -o pgen_compress-avx
echo cc -O2 -std=gnu99 -DZSTD_MULTITHREAD   -Wall -Wextra -Wshadow -Wformat-security -I../zstd/lib -I../zstd/lib/common  -c
cc -O2 -std=gnu99 -DZSTD_MULTITHREAD -Wall -Wextra -Wshadow -Wformat-security -I../zstd/lib -I../zstd/lib/common -c
g++ -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/plink2/plink2-2.00~a3-210203+dfsg=. -fstack-protector-strong -Wformat -Werror=format-security -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -mavx -std=c++11 -O2 -DZSTD_MULTITHREAD   -Wall -Wextra -Wshadow -Wformat-security -Wold-style-cast -I../simde ../include/plink2_base.cc ../include/plink2_bits.cc ../include/pgenlib_misc.cc ../include/pgenlib_read.cc ../include/pgenlib_write.cc ../include/plink2_bgzf.cc ../include/plink2_stats.cc ../include/plink2_string.cc ../include/plink2_text.cc ../include/plink2_thread.cc ../include/plink2_zstfile.cc ../plink2.cc ../plink2_adjust.cc ../plink2_cmdline.cc ../plink2_common.cc ../plink2_compress_stream.cc ../plink2_data.cc ../plink2_decompress.cc ../plink2_export.cc ../plink2_fasta.cc ../plink2_filter.cc ../plink2_glm.cc ../plink2_help.cc ../plink2_import.cc ../plink2_ld.cc ../plink2_matrix.cc ../plink2_matrix_calc.cc ../plink2_merge.cc ../plink2_misc.cc ../plink2_psam.cc ../plink2_pvar.cc ../plink2_random.cc ../plink2_set.cc -c
../plink2_psam.cc: In function 'plink2::PglErr plink2::LoadPhenos(const char*, const RangeList*, const uintptr_t*, const SampleIdInfo*, uint32_t, uint32_t, int32_t, uint32_t, uint32_t, uint32_t, uint32_t, plink2::PhenoCol**, char**, uint32_t*, uintptr_t*)':
../plink2_psam.cc:1254:105: warning: '*' in boolean context, suggest '&&' instead [-Wint-in-bool-context]
 1254 |       if (unlikely(S_CAST(uintptr_t, tmp_bigstack_end - bigstack_base_copy) < pheno_info_alloc_byte_ct) * (xid_idx_end - xid_idx_start)) {
g++  -Wdate-time -D_FORTIFY_SOURCE=2 ../plink2_cpu.cc -c
g++ SFMT.o plink2_base.o plink2_bits.o pgenlib_misc.o pgenlib_read.o pgenlib_write.o plink2_bgzf.o plink2_stats.o plink2_string.o plink2_text.o plink2_thread.o plink2_zstfile.o plink2.o plink2_adjust.o plink2_cmdline.o plink2_common.o plink2_compress_stream.o plink2_data.o plink2_decompress.o plink2_export.o plink2_fasta.o plink2_filter.o plink2_glm.o plink2_help.o plink2_import.o plink2_ld.o plink2_matrix.o plink2_matrix_calc.o plink2_merge.o plink2_misc.o plink2_psam.o plink2_pvar.o plink2_random.o plink2_set.o plink2_cpu.o  -o plink2-avx -llapack -lblas -lcblas -latlas -lm -lpthread  -lz -lzstd -Wl,-z,relro -Wl,-z,now -ldeflate
make[2]: Leaving directory '/build/plink2/plink2-2.00~a3-210203+dfsg/build_dynamic'
make[2]: Entering directory '/build/plink2/plink2-2.00~a3-210203+dfsg'
rm -f *.o include/*.o zstd/lib/common/*.o zstd/lib/compress/*.o zstd/lib/decompress/*.o bin/plink2 bin/pgen_compress
make[2]: Leaving directory '/build/plink2/plink2-2.00~a3-210203+dfsg'
	cd build_dynamic && make -j40 "INSTALL=install --strip-program=true" SFX=-sse4.1
make[2]: Entering directory '/build/plink2/plink2-2.00~a3-210203+dfsg/build_dynamic'
cc -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/plink2/plink2-2.00~a3-210203+dfsg=. -fstack-protector-strong -Wformat -Werror=format-security -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -msse4.1 -O2 -std=gnu99 -DZSTD_MULTITHREAD   -Wall -Wextra -Wshadow -Wformat-security  ../include/SFMT.c -c
g++ -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/plink2/plink2-2.00~a3-210203+dfsg=. -fstack-protector-strong -Wformat -Werror=format-security -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -msse4.1 -std=c++11 -O2 -DZSTD_MULTITHREAD   -Wall -Wextra -Wshadow -Wformat-security -Wold-style-cast -I../simde -Wl,-z,relro -Wl,-z,now -ldeflate ../include/plink2_base.cc ../include/plink2_bits.cc ../include/pgenlib_misc.cc ../include/pgenlib_read.cc ../include/pgenlib_write.cc ../pgen_compress.cc -o pgen_compress-sse4.1
echo cc -O2 -std=gnu99 -DZSTD_MULTITHREAD   -Wall -Wextra -Wshadow -Wformat-security -I../zstd/lib -I../zstd/lib/common  -c
cc -O2 -std=gnu99 -DZSTD_MULTITHREAD -Wall -Wextra -Wshadow -Wformat-security -I../zstd/lib -I../zstd/lib/common -c
g++ -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/plink2/plink2-2.00~a3-210203+dfsg=. -fstack-protector-strong -Wformat -Werror=format-security -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -msse4.1 -std=c++11 -O2 -DZSTD_MULTITHREAD   -Wall -Wextra -Wshadow -Wformat-security -Wold-style-cast -I../simde ../include/plink2_base.cc ../include/plink2_bits.cc ../include/pgenlib_misc.cc ../include/pgenlib_read.cc ../include/pgenlib_write.cc ../include/plink2_bgzf.cc ../include/plink2_stats.cc ../include/plink2_string.cc ../include/plink2_text.cc ../include/plink2_thread.cc ../include/plink2_zstfile.cc ../plink2.cc ../plink2_adjust.cc ../plink2_cmdline.cc ../plink2_common.cc ../plink2_compress_stream.cc ../plink2_data.cc ../plink2_decompress.cc ../plink2_export.cc ../plink2_fasta.cc ../plink2_filter.cc ../plink2_glm.cc ../plink2_help.cc ../plink2_import.cc ../plink2_ld.cc ../plink2_matrix.cc ../plink2_matrix_calc.cc ../plink2_merge.cc ../plink2_misc.cc ../plink2_psam.cc ../plink2_pvar.cc ../plink2_random.cc ../plink2_set.cc -c
../plink2_psam.cc: In function 'plink2::PglErr plink2::LoadPhenos(const char*, const RangeList*, const uintptr_t*, const SampleIdInfo*, uint32_t, uint32_t, int32_t, uint32_t, uint32_t, uint32_t, uint32_t, plink2::PhenoCol**, char**, uint32_t*, uintptr_t*)':
../plink2_psam.cc:1254:105: warning: '*' in boolean context, suggest '&&' instead [-Wint-in-bool-context]
 1254 |       if (unlikely(S_CAST(uintptr_t, tmp_bigstack_end - bigstack_base_copy) < pheno_info_alloc_byte_ct) * (xid_idx_end - xid_idx_start)) {
g++  -Wdate-time -D_FORTIFY_SOURCE=2 ../plink2_cpu.cc -c
g++ SFMT.o plink2_base.o plink2_bits.o pgenlib_misc.o pgenlib_read.o pgenlib_write.o plink2_bgzf.o plink2_stats.o plink2_string.o plink2_text.o plink2_thread.o plink2_zstfile.o plink2.o plink2_adjust.o plink2_cmdline.o plink2_common.o plink2_compress_stream.o plink2_data.o plink2_decompress.o plink2_export.o plink2_fasta.o plink2_filter.o plink2_glm.o plink2_help.o plink2_import.o plink2_ld.o plink2_matrix.o plink2_matrix_calc.o plink2_merge.o plink2_misc.o plink2_psam.o plink2_pvar.o plink2_random.o plink2_set.o plink2_cpu.o  -o plink2-sse4.1 -llapack -lblas -lcblas -latlas -lm -lpthread  -lz -lzstd -Wl,-z,relro -Wl,-z,now -ldeflate
make[2]: Leaving directory '/build/plink2/plink2-2.00~a3-210203+dfsg/build_dynamic'
make[2]: Entering directory '/build/plink2/plink2-2.00~a3-210203+dfsg'
rm -f *.o include/*.o zstd/lib/common/*.o zstd/lib/compress/*.o zstd/lib/decompress/*.o bin/plink2 bin/pgen_compress
make[2]: Leaving directory '/build/plink2/plink2-2.00~a3-210203+dfsg'
	cd build_dynamic && make -j40 "INSTALL=install --strip-program=true" SFX=-ssse3
make[2]: Entering directory '/build/plink2/plink2-2.00~a3-210203+dfsg/build_dynamic'
cc -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/plink2/plink2-2.00~a3-210203+dfsg=. -fstack-protector-strong -Wformat -Werror=format-security -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -mssse3 -O2 -std=gnu99 -DZSTD_MULTITHREAD   -Wall -Wextra -Wshadow -Wformat-security  ../include/SFMT.c -c
g++ -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/plink2/plink2-2.00~a3-210203+dfsg=. -fstack-protector-strong -Wformat -Werror=format-security -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -mssse3 -std=c++11 -O2 -DZSTD_MULTITHREAD   -Wall -Wextra -Wshadow -Wformat-security -Wold-style-cast -I../simde -Wl,-z,relro -Wl,-z,now -ldeflate ../include/plink2_base.cc ../include/plink2_bits.cc ../include/pgenlib_misc.cc ../include/pgenlib_read.cc ../include/pgenlib_write.cc ../pgen_compress.cc -o pgen_compress-ssse3
echo cc -O2 -std=gnu99 -DZSTD_MULTITHREAD   -Wall -Wextra -Wshadow -Wformat-security -I../zstd/lib -I../zstd/lib/common  -c
cc -O2 -std=gnu99 -DZSTD_MULTITHREAD -Wall -Wextra -Wshadow -Wformat-security -I../zstd/lib -I../zstd/lib/common -c
g++ -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/plink2/plink2-2.00~a3-210203+dfsg=. -fstack-protector-strong -Wformat -Werror=format-security -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -mssse3 -std=c++11 -O2 -DZSTD_MULTITHREAD   -Wall -Wextra -Wshadow -Wformat-security -Wold-style-cast -I../simde ../include/plink2_base.cc ../include/plink2_bits.cc ../include/pgenlib_misc.cc ../include/pgenlib_read.cc ../include/pgenlib_write.cc ../include/plink2_bgzf.cc ../include/plink2_stats.cc ../include/plink2_string.cc ../include/plink2_text.cc ../include/plink2_thread.cc ../include/plink2_zstfile.cc ../plink2.cc ../plink2_adjust.cc ../plink2_cmdline.cc ../plink2_common.cc ../plink2_compress_stream.cc ../plink2_data.cc ../plink2_decompress.cc ../plink2_export.cc ../plink2_fasta.cc ../plink2_filter.cc ../plink2_glm.cc ../plink2_help.cc ../plink2_import.cc ../plink2_ld.cc ../plink2_matrix.cc ../plink2_matrix_calc.cc ../plink2_merge.cc ../plink2_misc.cc ../plink2_psam.cc ../plink2_pvar.cc ../plink2_random.cc ../plink2_set.cc -c
../plink2_psam.cc: In function 'plink2::PglErr plink2::LoadPhenos(const char*, const RangeList*, const uintptr_t*, const SampleIdInfo*, uint32_t, uint32_t, int32_t, uint32_t, uint32_t, uint32_t, uint32_t, plink2::PhenoCol**, char**, uint32_t*, uintptr_t*)':
../plink2_psam.cc:1254:105: warning: '*' in boolean context, suggest '&&' instead [-Wint-in-bool-context]
 1254 |       if (unlikely(S_CAST(uintptr_t, tmp_bigstack_end - bigstack_base_copy) < pheno_info_alloc_byte_ct) * (xid_idx_end - xid_idx_start)) {
g++  -Wdate-time -D_FORTIFY_SOURCE=2 ../plink2_cpu.cc -c
g++ SFMT.o plink2_base.o plink2_bits.o pgenlib_misc.o pgenlib_read.o pgenlib_write.o plink2_bgzf.o plink2_stats.o plink2_string.o plink2_text.o plink2_thread.o plink2_zstfile.o plink2.o plink2_adjust.o plink2_cmdline.o plink2_common.o plink2_compress_stream.o plink2_data.o plink2_decompress.o plink2_export.o plink2_fasta.o plink2_filter.o plink2_glm.o plink2_help.o plink2_import.o plink2_ld.o plink2_matrix.o plink2_matrix_calc.o plink2_merge.o plink2_misc.o plink2_psam.o plink2_pvar.o plink2_random.o plink2_set.o plink2_cpu.o  -o plink2-ssse3 -llapack -lblas -lcblas -latlas -lm -lpthread  -lz -lzstd -Wl,-z,relro -Wl,-z,now -ldeflate
make[2]: Leaving directory '/build/plink2/plink2-2.00~a3-210203+dfsg/build_dynamic'
make[2]: Entering directory '/build/plink2/plink2-2.00~a3-210203+dfsg'
rm -f *.o include/*.o zstd/lib/common/*.o zstd/lib/compress/*.o zstd/lib/decompress/*.o bin/plink2 bin/pgen_compress
make[2]: Leaving directory '/build/plink2/plink2-2.00~a3-210203+dfsg'
	cd build_dynamic && make -j40 "INSTALL=install --strip-program=true" SFX=-sse3
make[2]: Entering directory '/build/plink2/plink2-2.00~a3-210203+dfsg/build_dynamic'
cc -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/plink2/plink2-2.00~a3-210203+dfsg=. -fstack-protector-strong -Wformat -Werror=format-security -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -msse3 -O2 -std=gnu99 -DZSTD_MULTITHREAD   -Wall -Wextra -Wshadow -Wformat-security  ../include/SFMT.c -c
g++ -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/plink2/plink2-2.00~a3-210203+dfsg=. -fstack-protector-strong -Wformat -Werror=format-security -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -msse3 -std=c++11 -O2 -DZSTD_MULTITHREAD   -Wall -Wextra -Wshadow -Wformat-security -Wold-style-cast -I../simde -Wl,-z,relro -Wl,-z,now -ldeflate ../include/plink2_base.cc ../include/plink2_bits.cc ../include/pgenlib_misc.cc ../include/pgenlib_read.cc ../include/pgenlib_write.cc ../pgen_compress.cc -o pgen_compress-sse3
echo cc -O2 -std=gnu99 -DZSTD_MULTITHREAD   -Wall -Wextra -Wshadow -Wformat-security -I../zstd/lib -I../zstd/lib/common  -c
cc -O2 -std=gnu99 -DZSTD_MULTITHREAD -Wall -Wextra -Wshadow -Wformat-security -I../zstd/lib -I../zstd/lib/common -c
g++ -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/plink2/plink2-2.00~a3-210203+dfsg=. -fstack-protector-strong -Wformat -Werror=format-security -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -msse3 -std=c++11 -O2 -DZSTD_MULTITHREAD   -Wall -Wextra -Wshadow -Wformat-security -Wold-style-cast -I../simde ../include/plink2_base.cc ../include/plink2_bits.cc ../include/pgenlib_misc.cc ../include/pgenlib_read.cc ../include/pgenlib_write.cc ../include/plink2_bgzf.cc ../include/plink2_stats.cc ../include/plink2_string.cc ../include/plink2_text.cc ../include/plink2_thread.cc ../include/plink2_zstfile.cc ../plink2.cc ../plink2_adjust.cc ../plink2_cmdline.cc ../plink2_common.cc ../plink2_compress_stream.cc ../plink2_data.cc ../plink2_decompress.cc ../plink2_export.cc ../plink2_fasta.cc ../plink2_filter.cc ../plink2_glm.cc ../plink2_help.cc ../plink2_import.cc ../plink2_ld.cc ../plink2_matrix.cc ../plink2_matrix_calc.cc ../plink2_merge.cc ../plink2_misc.cc ../plink2_psam.cc ../plink2_pvar.cc ../plink2_random.cc ../plink2_set.cc -c
../plink2_psam.cc: In function 'plink2::PglErr plink2::LoadPhenos(const char*, const RangeList*, const uintptr_t*, const SampleIdInfo*, uint32_t, uint32_t, int32_t, uint32_t, uint32_t, uint32_t, uint32_t, plink2::PhenoCol**, char**, uint32_t*, uintptr_t*)':
../plink2_psam.cc:1254:105: warning: '*' in boolean context, suggest '&&' instead [-Wint-in-bool-context]
 1254 |       if (unlikely(S_CAST(uintptr_t, tmp_bigstack_end - bigstack_base_copy) < pheno_info_alloc_byte_ct) * (xid_idx_end - xid_idx_start)) {
g++  -Wdate-time -D_FORTIFY_SOURCE=2 ../plink2_cpu.cc -c
g++ SFMT.o plink2_base.o plink2_bits.o pgenlib_misc.o pgenlib_read.o pgenlib_write.o plink2_bgzf.o plink2_stats.o plink2_string.o plink2_text.o plink2_thread.o plink2_zstfile.o plink2.o plink2_adjust.o plink2_cmdline.o plink2_common.o plink2_compress_stream.o plink2_data.o plink2_decompress.o plink2_export.o plink2_fasta.o plink2_filter.o plink2_glm.o plink2_help.o plink2_import.o plink2_ld.o plink2_matrix.o plink2_matrix_calc.o plink2_merge.o plink2_misc.o plink2_psam.o plink2_pvar.o plink2_random.o plink2_set.o plink2_cpu.o  -o plink2-sse3 -llapack -lblas -lcblas -latlas -lm -lpthread  -lz -lzstd -Wl,-z,relro -Wl,-z,now -ldeflate
make[2]: Leaving directory '/build/plink2/plink2-2.00~a3-210203+dfsg/build_dynamic'
make[2]: Entering directory '/build/plink2/plink2-2.00~a3-210203+dfsg'
rm -f *.o include/*.o zstd/lib/common/*.o zstd/lib/compress/*.o zstd/lib/decompress/*.o bin/plink2 bin/pgen_compress
make[2]: Leaving directory '/build/plink2/plink2-2.00~a3-210203+dfsg'
	cd build_dynamic && make -j40 "INSTALL=install --strip-program=true" SFX=-sse2
make[2]: Entering directory '/build/plink2/plink2-2.00~a3-210203+dfsg/build_dynamic'
cc -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/plink2/plink2-2.00~a3-210203+dfsg=. -fstack-protector-strong -Wformat -Werror=format-security -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -msse2 -O2 -std=gnu99 -DZSTD_MULTITHREAD   -Wall -Wextra -Wshadow -Wformat-security  ../include/SFMT.c -c
g++ -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/plink2/plink2-2.00~a3-210203+dfsg=. -fstack-protector-strong -Wformat -Werror=format-security -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -msse2 -std=c++11 -O2 -DZSTD_MULTITHREAD   -Wall -Wextra -Wshadow -Wformat-security -Wold-style-cast -I../simde -Wl,-z,relro -Wl,-z,now -ldeflate ../include/plink2_base.cc ../include/plink2_bits.cc ../include/pgenlib_misc.cc ../include/pgenlib_read.cc ../include/pgenlib_write.cc ../pgen_compress.cc -o pgen_compress-sse2
echo cc -O2 -std=gnu99 -DZSTD_MULTITHREAD   -Wall -Wextra -Wshadow -Wformat-security -I../zstd/lib -I../zstd/lib/common  -c
cc -O2 -std=gnu99 -DZSTD_MULTITHREAD -Wall -Wextra -Wshadow -Wformat-security -I../zstd/lib -I../zstd/lib/common -c
g++ -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/plink2/plink2-2.00~a3-210203+dfsg=. -fstack-protector-strong -Wformat -Werror=format-security -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -msse2 -std=c++11 -O2 -DZSTD_MULTITHREAD   -Wall -Wextra -Wshadow -Wformat-security -Wold-style-cast -I../simde ../include/plink2_base.cc ../include/plink2_bits.cc ../include/pgenlib_misc.cc ../include/pgenlib_read.cc ../include/pgenlib_write.cc ../include/plink2_bgzf.cc ../include/plink2_stats.cc ../include/plink2_string.cc ../include/plink2_text.cc ../include/plink2_thread.cc ../include/plink2_zstfile.cc ../plink2.cc ../plink2_adjust.cc ../plink2_cmdline.cc ../plink2_common.cc ../plink2_compress_stream.cc ../plink2_data.cc ../plink2_decompress.cc ../plink2_export.cc ../plink2_fasta.cc ../plink2_filter.cc ../plink2_glm.cc ../plink2_help.cc ../plink2_import.cc ../plink2_ld.cc ../plink2_matrix.cc ../plink2_matrix_calc.cc ../plink2_merge.cc ../plink2_misc.cc ../plink2_psam.cc ../plink2_pvar.cc ../plink2_random.cc ../plink2_set.cc -c
../plink2_psam.cc: In function 'plink2::PglErr plink2::LoadPhenos(const char*, const RangeList*, const uintptr_t*, const SampleIdInfo*, uint32_t, uint32_t, int32_t, uint32_t, uint32_t, uint32_t, uint32_t, plink2::PhenoCol**, char**, uint32_t*, uintptr_t*)':
../plink2_psam.cc:1254:105: warning: '*' in boolean context, suggest '&&' instead [-Wint-in-bool-context]
 1254 |       if (unlikely(S_CAST(uintptr_t, tmp_bigstack_end - bigstack_base_copy) < pheno_info_alloc_byte_ct) * (xid_idx_end - xid_idx_start)) {
g++  -Wdate-time -D_FORTIFY_SOURCE=2 ../plink2_cpu.cc -c
g++ SFMT.o plink2_base.o plink2_bits.o pgenlib_misc.o pgenlib_read.o pgenlib_write.o plink2_bgzf.o plink2_stats.o plink2_string.o plink2_text.o plink2_thread.o plink2_zstfile.o plink2.o plink2_adjust.o plink2_cmdline.o plink2_common.o plink2_compress_stream.o plink2_data.o plink2_decompress.o plink2_export.o plink2_fasta.o plink2_filter.o plink2_glm.o plink2_help.o plink2_import.o plink2_ld.o plink2_matrix.o plink2_matrix_calc.o plink2_merge.o plink2_misc.o plink2_psam.o plink2_pvar.o plink2_random.o plink2_set.o plink2_cpu.o  -o plink2-sse2 -llapack -lblas -lcblas -latlas -lm -lpthread  -lz -lzstd -Wl,-z,relro -Wl,-z,now -ldeflate
make[2]: Leaving directory '/build/plink2/plink2-2.00~a3-210203+dfsg/build_dynamic'
help2man --no-discard-stderr --name="whole genome SNP analysis" build_dynamic//pgen_compress-sse2 > pgen_compress.1
make[1]: Leaving directory '/build/plink2/plink2-2.00~a3-210203+dfsg'
   dh_auto_test -O--sourcedirectory=build_dynamic/
   create-stamp debian/debhelper-build-stamp
   dh_testroot -O--sourcedirectory=build_dynamic/
   dh_prep -O--sourcedirectory=build_dynamic/
   debian/rules override_dh_auto_install-arch
make[1]: Entering directory '/build/plink2/plink2-2.00~a3-210203+dfsg'
dh_install debian/bin/simd-dispatch /usr/lib/plink2/
for SIMD in avx2 avx sse4.1 ssse3 sse3 sse2 ; do \
	dh_install build_dynamic/plink2-${SIMD} usr/lib/plink2/ ; \
	dh_install build_dynamic/pgen_compress-${SIMD} usr/lib/plink2/ ; \
done
mkdir -p /build/plink2/plink2-2.00~a3-210203+dfsg/debian/plink2/usr/bin
cd /build/plink2/plink2-2.00~a3-210203+dfsg/debian/plink2/usr/bin \
	&& for prog in plink2 pgen_compress ; do \
	ln -s ../lib/plink2/simd-dispatch ${prog} ; done
make[1]: Leaving directory '/build/plink2/plink2-2.00~a3-210203+dfsg'
   dh_installdocs -O--sourcedirectory=build_dynamic/
   debian/rules override_dh_installchangelogs
make[1]: Entering directory '/build/plink2/plink2-2.00~a3-210203+dfsg'
dh_installchangelogs debian/upstream.docs/upstream.changelog
make[1]: Leaving directory '/build/plink2/plink2-2.00~a3-210203+dfsg'
   dh_installexamples -O--sourcedirectory=build_dynamic/
   debian/rules override_dh_installman
make[1]: Entering directory '/build/plink2/plink2-2.00~a3-210203+dfsg'
dh_installman debian/plink2.1
dh_installman pgen_compress.1
make[1]: Leaving directory '/build/plink2/plink2-2.00~a3-210203+dfsg'
   dh_installsystemduser -O--sourcedirectory=build_dynamic/
   dh_perl -O--sourcedirectory=build_dynamic/
   dh_link -O--sourcedirectory=build_dynamic/
   dh_strip_nondeterminism -O--sourcedirectory=build_dynamic/
   dh_compress -O--sourcedirectory=build_dynamic/
   dh_fixperms -O--sourcedirectory=build_dynamic/
   dh_missing -O--sourcedirectory=build_dynamic/
   dh_dwz -a -O--sourcedirectory=build_dynamic/
   dh_strip -a -O--sourcedirectory=build_dynamic/
   dh_makeshlibs -a -O--sourcedirectory=build_dynamic/
   dh_shlibdeps -a -O--sourcedirectory=build_dynamic/
   dh_installdeb -O--sourcedirectory=build_dynamic/
   debian/rules override_dh_gencontrol
make[1]: Entering directory '/build/plink2/plink2-2.00~a3-210203+dfsg'
dh_gencontrol -- -Vsimde:Built-Using="simde (= 0.7.2-4), "
make[1]: Leaving directory '/build/plink2/plink2-2.00~a3-210203+dfsg'
   dh_md5sums -O--sourcedirectory=build_dynamic/
   dh_builddeb -O--sourcedirectory=build_dynamic/
dpkg-deb: building package 'plink2' in '../plink2_2.00~a3-210203+dfsg-1_amd64.deb'.
 dpkg-genbuildinfo
 dpkg-genchanges  >../plink2_2.00~a3-210203+dfsg-1_amd64.changes
dpkg-genchanges: info: including full source code in upload
 dpkg-source --after-build .
dpkg-buildpackage: info: full upload (original source is included)
+ date
Wed Apr 19 14:47:54 UTC 2023
+ cd ..
+ ls -la
total 2780
drwxr-xr-x  3 root root    4096 Apr 19 14:47 .
drwxr-xr-x  3 root root    4096 Apr 19 14:37 ..
-rw-r--r--  1 root root   34555 Apr 19 14:47 buildlog.txt
drwxr-xr-x 12 root root    4096 Apr 19 14:47 plink2-2.00~a3-210203+dfsg
-rw-r--r--  1 root root   48044 Apr 19 14:38 plink2_2.00~a3-210203+dfsg-1.debian.tar.xz
-rw-r--r--  1 root root    1245 Apr 19 14:38 plink2_2.00~a3-210203+dfsg-1.dsc
-rw-r--r--  1 root root    5688 Apr 19 14:47 plink2_2.00~a3-210203+dfsg-1_amd64.buildinfo
-rw-r--r--  1 root root    2120 Apr 19 14:47 plink2_2.00~a3-210203+dfsg-1_amd64.changes
-rw-r--r--  1 root root 1839800 Apr 19 14:47 plink2_2.00~a3-210203+dfsg-1_amd64.deb
-rw-r--r--  1 root root  881948 Feb  6  2021 plink2_2.00~a3-210203+dfsg.orig.tar.xz
+ find . -maxdepth 1 -type f
+ sha256sum ./plink2_2.00~a3-210203+dfsg-1.dsc ./buildlog.txt ./plink2_2.00~a3-210203+dfsg-1_amd64.buildinfo ./plink2_2.00~a3-210203+dfsg-1_amd64.deb ./plink2_2.00~a3-210203+dfsg-1_amd64.changes ./plink2_2.00~a3-210203+dfsg.orig.tar.xz ./plink2_2.00~a3-210203+dfsg-1.debian.tar.xz
c28d373b015b93105ee58e75aa364d1f45095d1a6fce7282f5ddf4f1cff0db77  ./plink2_2.00~a3-210203+dfsg-1.dsc
41dc10eeb626d904ca2447fa075100339683dbfc20c0f76b7c90b7ec5a5b20d2  ./buildlog.txt
98a4240d5a4244fd0bfea1a1f4f01d938c084a8f1c6de41a6ac37fc5eebe4549  ./plink2_2.00~a3-210203+dfsg-1_amd64.buildinfo
ae2b2dce6f57bb1074cdb5cdeda56c1b09f9728a326df8a60f5883a9c0a6c0a3  ./plink2_2.00~a3-210203+dfsg-1_amd64.deb
21249d134c5782d7f99691ec8f96551b48277539bf8638d70c0ade87df17e733  ./plink2_2.00~a3-210203+dfsg-1_amd64.changes
e1a00b20cbfdbbbb0ef21a411c72d73a4e7ef695a55da2e1f6295c01db98b322  ./plink2_2.00~a3-210203+dfsg.orig.tar.xz
f0f45154597b3da07bd14ffdad0fa41d2f430728759c991c406a5ff6284c4589  ./plink2_2.00~a3-210203+dfsg-1.debian.tar.xz
+ mkdir published
+ cd published
+ cd ../
+ ls plink2_2.00~a3-210203+dfsg-1_amd64.deb *.udeb
ls: cannot access '*.udeb': No such file or directory
+ wget --retry-connrefused --retry-on-host-error --tries=3 http://repo.pureos.net/pureos/pool/main/p/plink2/plink2_2.00~a3-210203+dfsg-1_amd64.deb
--2023-04-19 14:47:54--  http://repo.pureos.net/pureos/pool/main/p/plink2/plink2_2.00~a3-210203+dfsg-1_amd64.deb
Resolving repo.pureos.net (repo.pureos.net)... 138.201.228.45
Connecting to repo.pureos.net (repo.pureos.net)|138.201.228.45|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1839804 (1.8M) [application/octet-stream]
Saving to: 'plink2_2.00~a3-210203+dfsg-1_amd64.deb'

     0K .......... .......... .......... .......... ..........  2%  960K 2s
    50K .......... .......... .......... .......... ..........  5% 1.86M 1s
   100K .......... .......... .......... .......... ..........  8% 19.4M 1s
   150K .......... .......... .......... .......... .......... 11% 25.6M 1s
   200K .......... .......... .......... .......... .......... 13% 2.06M 1s
   250K .......... .......... .......... .......... .......... 16% 21.7M 1s
   300K .......... .......... .......... .......... .......... 19% 25.9M 0s
   350K .......... .......... .......... .......... .......... 22% 25.2M 0s
   400K .......... .......... .......... .......... .......... 25% 2.52M 0s
   450K .......... .......... .......... .......... .......... 27% 25.4M 0s
   500K .......... .......... .......... .......... .......... 30% 22.2M 0s
   550K .......... .......... .......... .......... .......... 33% 25.6M 0s
   600K .......... .......... .......... .......... .......... 36% 24.4M 0s
   650K .......... .......... .......... .......... .......... 38% 25.5M 0s
   700K .......... .......... .......... .......... .......... 41% 22.3M 0s
   750K .......... .......... .......... .......... .......... 44% 25.6M 0s
   800K .......... .......... .......... .......... .......... 47% 25.6M 0s
   850K .......... .......... .......... .......... .......... 50% 4.53M 0s
   900K .......... .......... .......... .......... .......... 52% 36.3M 0s
   950K .......... .......... .......... .......... .......... 55% 24.0M 0s
  1000K .......... .......... .......... .......... .......... 58%  137M 0s
  1050K .......... .......... .......... .......... .......... 61% 19.1M 0s
  1100K .......... .......... .......... .......... .......... 64% 24.7M 0s
  1150K .......... .......... .......... .......... .......... 66% 30.0M 0s
  1200K .......... .......... .......... .......... .......... 69% 39.3M 0s
  1250K .......... .......... .......... .......... .......... 72% 37.7M 0s
  1300K .......... .......... .......... .......... .......... 75% 22.7M 0s
  1350K .......... .......... .......... .......... .......... 77% 36.2M 0s
  1400K .......... .......... .......... .......... .......... 80% 4.19M 0s
  1450K .......... .......... .......... .......... .......... 83% 14.9M 0s
  1500K .......... .......... .......... .......... .......... 86% 13.5M 0s
  1550K .......... .......... .......... .......... .......... 89% 54.4M 0s
  1600K .......... .......... .......... .......... .......... 91%  123M 0s
  1650K .......... .......... .......... .......... .......... 94%  126M 0s
  1700K .......... .......... .......... .......... .......... 97%  120M 0s
  1750K .......... .......... .......... .......... ......    100% 62.5M=0.2s

2023-04-19 14:47:54 (8.95 MB/s) - 'plink2_2.00~a3-210203+dfsg-1_amd64.deb' saved [1839804/1839804]

+ tee ../SHA256SUMS
+ find . -maxdepth 1 -type f
+ sha256sum ./plink2_2.00~a3-210203+dfsg-1_amd64.deb
deafb805711209708185a39d7d43302197a6f1d1d44e75abdebe4d51162d8ec8  ./plink2_2.00~a3-210203+dfsg-1_amd64.deb
+ cd ..
+ sha256sum -c SHA256SUMS
./plink2_2.00~a3-210203+dfsg-1_amd64.deb: FAILED
sha256sum: WARNING: 1 computed checksum did NOT match
